# $Revision: 1.34 $, $Date: 2008-01-03 10:24:52 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Convert
%define		pnam	Morse
Summary:	Convert-Recode - convert between ASCII text and MORSE alphabet
Summary(pl.UTF-8):	Convert::Morse - konwersja pomiędzy tekstem ASCII i alfabetem MORSE'a
Name:		perl-Convert-Morse
Version:	0.05
Release:	1
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Convert/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	785cf77e1057e19f8a6e735a4736a4b1
URL:		http://search.cpan.org/dist/Convert-Morse/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convert::Morse Perl module lets you convert between normal ASCII text
and international MORSE code.  You can redefine the token sets, if you
like.

%description -l pl.UTF-8
Moduł Perla Convert::Morse pozwala na konwersję pomiędzy zwykłym
tekstem w ASCII a muiędzynarodowym kodem MORSE'a. Umożliwia
zredefiniowanie znaczenia kodów MORSE'a.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorlib}/Convert/Morse.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Convert-Morse.spec,v $
Revision 1.34  2008-01-03 10:24:52  qboosh
- fixed URL

Revision 1.33  2007-12-26 22:06:52  zbyniu
- up to 0.05; generic URL

Revision 1.32  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.31  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.30  2004/11/03 22:30:11  paladine
- formatting

Revision 1.29  2004/11/01 21:42:27  adamg
- updated to 0.04

Revision 1.28  2004/05/07 01:24:28  ankry
- rel. 7

Revision 1.27  2004/05/06 18:09:22  ankry
- fixed perl-devel BR

Revision 1.26  2004/04/25 20:20:27  ankry
- tests added

Revision 1.25  2004/04/18 22:02:16  ankry
- summary, description and license fixes

Revision 1.24  2003/09/09 10:24:30  ankry
- spaces -> tab

Revision 1.23  2003/08/18 08:08:34  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.22  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.19  2003/03/01 18:46:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.18  2003/02/25 00:37:40  radek
- use the __perl macro

Revision 1.17  2003/02/18 15:28:29  ankry
- massive attack: change CPAN URLs

Revision 1.16  2002/11/26 00:13:54  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.15  2002/07/10 08:46:40  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.14  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.13  2002/02/25 10:30:12  depesz
cleanup; revision++

Revision 1.12  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/13 14:10:31  depesz
automatic: Source location unfied, Relase Up

Revision 1.10  2002/02/10 15:24:42  depesz
adapterized

Revision 1.9  2002/01/18 02:14:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.7  2001/04/17 12:06:43  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.6  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.5  2001/02/20 16:13:47  mis
- updated (by autoup) to 0.03

Revision 1.4  2000/12/30 01:29:28  kloczek
- release 2: adapterized.

Revision 1.3  2000/12/28 00:55:46  kloczek
- realy use new rpm automation.

Revision 1.2  2000/12/27 15:41:59  kloczek
- rebuild against perl 5.6,
- cut changelog.

Revision 1.1  2000/12/24 21:11:41  waszi
- initial release (need check)
